Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.web.startup.simple
Class SimpleTilesInitializerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.tiles.web.startup.AbstractTilesInitializerServlet
                  org.apache.tiles.web.startup.simple.SimpleTilesInitializerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class SimpleTilesInitializerServlet

extends AbstractTilesInitializerServlet

A Tiles listener that loads Tiles in the default way.

Since:
  2.2.0
Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $
See Also:
  Serialized Form

Constructor Summary
`SimpleTilesInitializerServlet()`

Method Summary
`protected TilesInitializer` | `createTilesInitializer()` Creates a new instance of `TilesInitializer`.

Methods inherited from class org.apache.tiles.web.startup.AbstractTilesInitializerServlet
`destroy, init`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTilesInitializerServlet

    public SimpleTilesInitializerServlet()

Method Detail

### createTilesInitializer

    protected TilesInitializer createTilesInitializer()

  Creates a new instance of `TilesInitializer`. Implement it to use your custom initializer.

  Specified by:
    `createTilesInitializer` in class `AbstractTilesInitializerServlet`
  Returns:
    The Tiles servlet-based initializer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.